.TH wxAuiNotebookEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxAuiNotebookEvent \- See external documentation: wxAuiNotebookEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxAuiNotebookEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebookevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIcommand_auinotebook_page_close\fR, \fIcommand_auinotebook_page_changed\fR, \fIcommand_auinotebook_page_changing\fR, \fIcommand_auinotebook_button\fR, \fIcommand_auinotebook_begin_drag\fR, \fIcommand_auinotebook_end_drag\fR, \fIcommand_auinotebook_drag_motion\fR, \fIcommand_auinotebook_allow_dnd\fR, \fIcommand_auinotebook_tab_middle_down\fR, \fIcommand_auinotebook_tab_middle_up\fR, \fIcommand_auinotebook_tab_right_down\fR, \fIcommand_auinotebook_tab_right_up\fR, \fIcommand_auinotebook_page_closed\fR, \fIcommand_auinotebook_drag_done\fR, \fIcommand_auinotebook_bg_dclick\fR
.RE
.LP
See also the message variant #wxAuiNotebook{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxNotifyEvent 
.br
wxCommandEvent 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxAuiNotebookEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
setSelection(This::wxAuiNotebookEvent(), S::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebookevent\&.html#wxauinotebookeventsetselection>\&.
.RE
.LP
.B
getSelection(This::wxAuiNotebookEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebookevent\&.html#wxauinotebookeventgetselection>\&.
.RE
.LP
.B
setOldSelection(This::wxAuiNotebookEvent(), S::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebookevent\&.html#wxauinotebookeventsetoldselection>\&.
.RE
.LP
.B
getOldSelection(This::wxAuiNotebookEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebookevent\&.html#wxauinotebookeventgetoldselection>\&.
.RE
.LP
.B
setDragSource(This::wxAuiNotebookEvent(), S::wxAuiNotebook() (see module wxAuiNotebook)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebookevent\&.html#wxauinotebookeventsetdragsource>\&.
.RE
.LP
.B
getDragSource(This::wxAuiNotebookEvent()) -> wxAuiNotebook() (see module wxAuiNotebook)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebookevent\&.html#wxauinotebookeventgetdragsource>\&.
.RE
